### Syncfusion WPF Progressbar component
This package contains [WPF Linear Progressbar](https://www.syncfusion.com/wpf-controls/progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [WPF Circular Progressbar](https://www.syncfusion.com/wpf-controls/progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), and [WPF StepProgressBar](https://www.syncfusion.com/wpf-controls/step-progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) components for WPF application.

### System Requirements

* [System Requirements](https://help.syncfusion.com/wpf/installation/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

### WPF Linear ProgressBar

The [WPF Linear Progressbar](https://www.syncfusion.com/wpf-controls/progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) provides a customizable visual to indicate the progress of an operation and let users know the remaining time for completion.

![WPF Linear Progressbar](https://cdn.syncfusion.com/nuget-readme/wpf/wpf_linearprogressbar.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Docs](https://help.syncfusion.com/wpf/linear-progressbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

#### Getting Started

* [Getting Started with WPF Linear ProgessBar](https://help.syncfusion.com/wpf/linear-progressbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

### WPF Circular ProgressBar

The [WPF Circular Progressbar](https://www.syncfusion.com/wpf-controls/progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) component indicates the progress of a task with customizable visuals. It includes features to visualize progress in rectangular and circular shapes, determinate and indeterminate states, segments, and customized ranges in different colors.

![WPF Circular Progressbar](https://cdn.syncfusion.com/nuget-readme/wpf/wpf_circularprogressbar.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Docs](https://help.syncfusion.com/wpf/linear-progressbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

#### Getting Started

* [Getting Started with WPF Circular ProgessBar](https://help.syncfusion.com/wpf/linear-progressbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

### WPF StepProgressBar

The [WPF StepProgressBar](https://www.syncfusion.com/wpf-controls/step-progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)  component is used to show the progress of a multiple-step process, such as new user registration or package status tracking. You can customize its appearance by changing the step shape, progress bar color, step template, and content template.

![WPF StepProgressBar](https://cdn.syncfusion.com/nuget-readme/wpf/wpf_stepprogressbar.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/step-progressbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Docs](https://help.syncfusion.com/wpf/step-progressbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

#### Getting Started

* [Getting Started with WPF StepProgressBar](https://help.syncfusion.com/wpf/step-progressbar/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)

### License

This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget). You can purchase a license [here](https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget).

### About Syncfusion

Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 27,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1700+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [ASP.NET Web Forms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), and [jQuery](https://www.syncfusion.com/jquery-ui-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)), mobile ([.NET MAUI (Preview)](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [.NET MAUI (Preview)](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget), and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20WPF%20ProgressBar%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-progress-bar-nuget) | Toll Free: 1-888-9 DOTNET


